=== debian/changelog ===
sfcgal (1.1.0-5) unstable; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * Update symbols for other architectures

  [ Bas Couwenberg ]
  * Restructure control file with cme.
  * Update Vcs-Browser URL to use HTTPS.
  * Add upstream metadata.
  * Don't strip RPATH from sfcgal-config.
  * Rebuild for openscenegraph transition.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 17:57:44 +0200

sfcgal (1.1.0-4) unstable; urgency=medium

  * re-enable tests which work fine without CMAKE_SKIP_RPATH
  * remove rpath during install using chrpath instead
  * skip style-test using patch from upstream
  * Remove Multi-Arch option on libsfcgal-dev and sfcgal-bin (Closes: #794317)

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 28 Aug 2015 16:37:16 +0200

sfcgal (1.1.0-3) unstable; urgency=medium

  * Make package build in unstable with boost 1.58 and gcc5
  * Change from Multi-Arch: same to foreign (Closes: #794317)
  * Update symbols for other architectures.

 -- Sven Geggus <sven-debian@geggus.net>  Thu, 27 Aug 2015 13:09:01 +0200

sfcgal (1.1.0-2) unstable; urgency=medium

  * Update symbols for other architectures to prepare for unstable

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 31 Jul 2015 14:09:35 +0200

sfcgal (1.1.0-2~exp1) experimental; urgency=medium

  * use pkgkde-symbolshelper to handle C++ symbols

 -- Sven Geggus <sven-debian@geggus.net>  Wed, 29 Jul 2015 21:29:48 +0200

sfcgal (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #788560)

 -- Sven Geggus <sven-debian@geggus.net>  Tue, 09 Jun 2015 14:24:02 +0200
