=== debian/control ===
Source: sfcgal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Sven Geggus <sven-debian@geggus.net>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libcgal-dev,
               libboost-all-dev,
               libmpfr-dev,
               libgmp-dev,
               libopenscenegraph-dev,
               libopenthreads-dev,
               libpq-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               pkg-kde-tools,
               chrpath
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/sfcgal.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/sfcgal.git
Homepage: http://www.sfcgal.org/

Package: libsfcgal1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations (runtime part)
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual). 
 .
 This part is the runtime package of the library.

Package: libsfcgal-dev
Architecture: any
Section: libdevel
Depends: libsfcgal1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations (dev part)
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual). 
 .
 This is the development package of the library.

Package: sfcgal-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Simple viewer for SFCGAL library
 viewer-SFCGAL is a  basic 3D viewer based on OpenSceneGraph.
 .
 A screencast available on the SFCGAL homepage:
 http://oslandia.github.io/SFCGAL/screencast.html
 shows how it can be used to make it interact with a PostGIS
 database.
