=== debian/changelog ===
sfcgal (1.2.1-1) unstable; urgency=medium

  * Update symbols for other architectures
  * Move from experimental to unstable.

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 13 Nov 2015 13:03:39 +0100

sfcgal (1.2.1-1~exp1) experimental; urgency=medium

  [ Sven Geggus ]
  * Update SFCGAL 1.2.0 symbols for other architectures.
  * New upstream release (Closes: #804589)

  [ Bas Couwenberg ]
  * Update SFCGAL 1.2.1 symbols for amd64.

 -- Sven Geggus <sven-debian@geggus.net>  Tue, 10 Nov 2015 19:18:19 +0100

sfcgal (1.2.0-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * New upstream release.

  [ Bas Couwenberg ]
  * Update copyright file, add copyright holders for new files.
  * Install NEWS file as upstream changelog.
  * Use -DCMAKE_BUILD_TYPE=RelWithDebInfo instead of None.
  * Update symbols for amd64.
  * Explicitly remove .la files, not installed.
  * Explicitly remove test executables, not installed.
  * Add sfcgal-dbg package for debug symbols.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Oct 2015 18:22:49 +0200

sfcgal (1.1.0-6) unstable; urgency=medium

  * Update symbols for mips(el) and armhf

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 18 Sep 2015 16:56:44 +0200
