## sfcgal 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 set( SFCGAL_VERSION_MAJOR 1 )
 set( SFCGAL_VERSION_MINOR 2 )
-set( SFCGAL_VERSION_PATCH 0 )
+set( SFCGAL_VERSION_PATCH 2 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
