=== test/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,5 @@
 	add_subdirectory( bench )
 endif()
 
-if(CMAKE_SYSTEM_NAME MATCHES "Linux")
-    add_test( style-test ${CMAKE_SOURCE_DIR}/script/test-style-SFCGAL.sh )
-endif()
-  
-
-
-
-
+# add a custom rule "check" that adds verbosity to ctest
+add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose)
