=== test/regress/standalone/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,9 @@
 install( TARGETS standalone-regress-test-SFCGAL DESTINATION bin )
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
-    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd )
+    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd --auto_start_dbg=y --log_level=all)
 else()
-    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL )
+    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL --auto_start_dbg=y --log_level=all)
 endif()
