=== debian/changelog ===
sfcgal (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 23:43:12 +0100

sfcgal (1.2.2-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * Update symbols for other architectures

  [ Bas Couwenberg ]
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Nov 2015 12:03:49 +0100
