=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 Package: libsfcgal1
 Architecture: any
-Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -68,3 +67,22 @@
  http://oslandia.github.io/SFCGAL/screencast.html
  shows how it can be used to make it interact with a PostGIS
  database.
+
+Package: sfcgal-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libsfcgal1 (= ${binary:Version}),
+         sfcgal-bin (= ${binary:Version}),
+         ${misc:Depends}
+Description: Debug symbols for SFCGAL
+ SFCGAL is a C++ wrapper library around CGAL with the aim of
+ supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
+ operations.
+ .
+ SFCGAL provides standard compliant geometry types and operations,
+ that can be accessed from its C or C++ APIs. PostGIS uses the C API,
+ to expose some SFCGAL's functions in spatial databases (cf. PostGIS
+ manual). 
+ .
+ This provides debug symbols for SFCGAL.
