=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,13 @@
 	dh $@ --with pkgkde_symbolshelper --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSFCGAL_BUILD_VIEWER=ON \
-        -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON \
-        -DSFCGAL_BUILD_TESTS=ON -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_VERBOSE_MAKEFILE=ON \
+		-DSFCGAL_BUILD_TESTS=ON \
+		-DSFCGAL_BUILD_VIEWER=ON
 
 override_dh_install:	
 	# removing embedded rpath in binaries
@@ -27,8 +31,20 @@
 	# removing embedded rpath in libraries
 	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;
 
+	# Remove .la files
+	$(RM) $(CURDIR)/debian/tmp/usr/lib/libSFCGAL.la
+
+	# Remove test executables
+	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*
+
 	dh_install --list-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 	
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
 
+override_dh_strip:
+	dh_strip --dbg-package=sfcgal-dbg
+
