=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.tar\.gz/SFCGAL-$1.tar.gz/ \
https://github.com/Oslandia/SFCGAL/releases \
(?:.*/)?(?:rel|v|SFCGAL)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
