## sfcgal 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,13 @@
 option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
 option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
 option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )
-option( SFCGAL_BUILD_VIEWER "build viewer and OpenSceneGraph support (outputs in 3D formats)" OFF )
 
 #-- include finders and co
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 2 )
-set( SFCGAL_VERSION_PATCH 2 )
+set( SFCGAL_VERSION_MINOR 3 )
+set( SFCGAL_VERSION_PATCH 0 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
 
@@ -68,13 +67,17 @@
 	set( SFCGAL_Boost_COMPONENTS unit_test_framework program_options ${SFCGAL_Boost_COMPONENTS} )
 endif()
 #-- program_options
-if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG OR SFCGAL_BUILD_VIEWER )
+if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG )
 	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
 endif()
 find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )
 if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
 	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
 	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
+endif()
+# patch boost 1.60.0      
+if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 60) AND (${Boost_SUBMINOR_VERSION} EQUAL 0))
+  include_directories( patches/boost-1.60.0 )
 endif()
 
 #-- GMP (facultative)  -------------------------------------
@@ -136,18 +139,6 @@
 	${MPFR_LIBRARY_DIRS}	
 	${GMP_LIBRARY_DIRS}	
 )
-
-#-- optional OpenSceneGraph support
-if ( SFCGAL_BUILD_VIEWER )
-	find_package( OpenSceneGraph COMPONENTS osgDB osgUtil REQUIRED )
-	include_directories( SYSTEM ${OPENSCENEGRAPH_INCLUDE_DIRS} ) 
-	
-	# config.h generation
-	set( SFCGAL_WITH_OSG "ON" )
-	add_subdirectory( viewer )
-endif()
-
-
 
 #-- Warnings, frounding-math and gprof  ------------------------------------------
 option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )
@@ -211,12 +202,6 @@
 #note : not available on windows without export/import
 OPTION( SFCGAL_USE_STATIC_LIBS "define if SFCGAL is build as a static library" OFF )
 
-# option : do we check geometry validity before each processing ?
-option( SFCGAL_CHECK_VALIDITY "Always checks geometry validity" ON )
-if ( NOT SFCGAL_CHECK_VALIDITY )
-  add_definitions( "-DSFCGAL_NEVER_CHECK_VALIDITY" )
-endif()
-
 #-- build the library
 add_subdirectory( src )
