=== debian/changelog ===
sfcgal (1.3.0-4build2) zesty; urgency=medium

  * Rebuild against latest gdal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Nov 2016 11:50:02 +0100

sfcgal (1.3.0-4build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:06:27 +0000

sfcgal (1.3.0-4) unstable; urgency=medium

  * Drop i386-ftbfs.patch, did not fix FTBFS on i386.
  * Skip tests on i386 architectures, causes FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 16:45:19 +0200

sfcgal (1.3.0-3) unstable; urgency=medium

  * Add patch by Dimitri John Ledkov to fix FTBFS on i386.
    (LP: #1610076)
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 14:11:19 +0200

sfcgal (1.3.0-2) unstable; urgency=medium

  * Fix hardening flags via DEB_BUILD_MAINT_OPTIONS.
  * Skip tests on alpha, terminated after timeout.
  * Ignore test failures on mips{,el}, test times too long.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 May 2016 11:44:55 +0200

sfcgal (1.3.0-2~exp1) experimental; urgency=medium

  * Add patch to enable OpenSceneGraph support when available.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 May 2016 17:40:40 +0200

sfcgal (1.3.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Drop viewer-SFCGAL manpage, viewer removed upstream.
  * Update watch file to support other tar extensions in filenamemangle.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Mar 2016 17:35:54 +0100

sfcgal (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Drop sfcgal-bin package, viewer removed upstream.
  * Update copyright file, add license & copyright for Boost patch.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add myself to Uploaders.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Mar 2016 02:16:43 +0100
