=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: sfcgal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Sven Geggus <sven-debian@geggus.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Sven Geggus <sven-debian@geggus.net>,
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,14 +13,11 @@
                libgmp-dev,
                libopenscenegraph-dev,
                libopenthreads-dev,
-               libpq-dev,
-               libqt4-dev,
-               libqt4-opengl-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/sfcgal.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/sfcgal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/sfcgal.git
 Homepage: http://www.sfcgal.org/
 
 Package: libsfcgal1
@@ -56,24 +55,11 @@
  .
  This is the development package of the library.
 
-Package: sfcgal-bin
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Simple viewer for SFCGAL library
- viewer-SFCGAL is a  basic 3D viewer based on OpenSceneGraph.
- .
- A screencast available on the SFCGAL homepage:
- http://oslandia.github.io/SFCGAL/screencast.html
- shows how it can be used to make it interact with a PostGIS
- database.
-
 Package: sfcgal-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: libsfcgal1 (= ${binary:Version}),
-         sfcgal-bin (= ${binary:Version}),
          ${misc:Depends}
 Description: Debug symbols for SFCGAL
  SFCGAL is a C++ wrapper library around CGAL with the aim of
