=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 DH_VERBOSE = 1
 
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DEB_BUILD_HARDENING = 1
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # main packaging script based on dh7 syntax
 %:
@@ -21,8 +19,16 @@
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_VERBOSE_MAKEFILE=ON \
-		-DSFCGAL_BUILD_TESTS=ON \
-		-DSFCGAL_BUILD_VIEWER=ON
+		-DSFCGAL_BUILD_TESTS=ON
+
+override_dh_auto_test:
+ifneq (,$(findstring $(DEB_BUILD_ARCH),"alpha i386 kfreebsd-i386 hurd-i386"))
+	# Skip tests
+else ifneq (,$(findstring $(DEB_BUILD_ARCH),"mips mipsel"))
+	dh_auto_test || echo "Ignoring test failures"
+else
+	dh_auto_test
+endif
 
 override_dh_install:	
 	# removing embedded rpath in binaries
